Bug 1312168 - Jamin segfaults when launched
Jamin segfaults when launched
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: jamin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 19:32 EST by Yury Bulka
Modified: 2016-12-20 14:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:02:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yury Bulka 2016-02-25 19:32:17 EST
Description of problem: Jamin crashes with a segfault every time right after being started.


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. run jamin


Actual results:
jamin 0.97.16
(C) 2003-2005 J. Depner, S. Harris, J. O'Quin, R. Parker and P. Shirkey
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details.
Cannot find plugin 'foo_limiter.so'

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(jamin:18625): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Segmentation fault (core dumped)


Expected results:
no segfault.

Additional info:
Comment 1 Georges Racinet 2016-04-27 07:28:57 EDT
Hello, exactly the same here, first time I start jamin after my system's been updated to Fedora 23. This is obviously a total blocker.

Here is what gdb has to say :

$ gdb jamin core.7083 
GNU gdb (GDB) Fedora 7.10.1-31.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from jamin...Reading symbols from /usr/lib/debug/usr/bin/jamin.debug...done.
done.
[New LWP 7083]
[New LWP 7085]
[New LWP 7084]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `jamin'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007fec8d4250ec in type_node_check_conformities_UorL (have_lock=0, support_prerequisites=1, 
    support_interfaces=1, iface_node=0x55be7f1f8430, node=0x7f368f10) at gtype.c:3459
3459	      NODE_IS_ANCESTOR (iface_node, node))
[Current thread is 1 (Thread 0x7fec8f2c19c0 (LWP 7083))]
(gdb) backtrace
#0  0x00007fec8d4250ec in g_type_is_a (have_lock=0, support_prerequisites=1, support_interfaces=1, iface_node=0x55be7f1f8430, node=0x7f368f10) at gtype.c:3459
#1  0x00007fec8d4250ec in g_type_is_a (support_prerequisites=1, support_interfaces=1, iface_node=0x55be7f1f8430, node=0x7f368f10) at gtype.c:3504
#2  0x00007fec8d4250ec in g_type_is_a (type=type@entry=2134282000, iface_type=<optimized out>) at gtype.c:3531
#3  0x00007fec8ecd6f14 in IA__gtk_type_new (type=2134282000) at gtktypeutils.c:114
#4  0x000055be7dbb3fe5 in gtk_meter_new (adjustment=0x55be7f2f65e0 [GtkAdjustment], direction=0) at gtkmeter.c:123
#5  0x000055be7dbca85e in create_window1 () at interface.c:1155
#6  0x000055be7dbaccd1 in main (argc=1, argv=0x7fff9623f198) at main.c:107


I'm not knowledgeable about Gnome/GTK libraries, and not really used to play with gdb, but let me know if there's more info I can extract to help on this.

Also, I'd be willing to compare a hand compiled version, but could not find any tarball to download more recent than 0.95
Comment 2 Fedora End Of Life 2016-11-24 10:46:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:02:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.